Bug 1124622 - RFE: Expose Alpha state of new editor to users through an "opt-in" approach
Summary: RFE: Expose Alpha state of new editor to users through an "opt-in" approach
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-UI, Usability
Version: 3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Damian Jansen
QA Contact: Zanata-QA Mailling List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-29 23:30 UTC by Isaac Rooskov
Modified: 2015-08-06 05:55 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: 1
Clone Of:
Environment:
Last Closed: 2015-02-25 06:31:05 UTC


Attachments (Terms of Use)

Description Isaac Rooskov 2014-07-29 23:30:32 UTC
In order to generate community feedback, involvement and buy-in, we should set it up so a user can select to use the new editor in whatever state it currently is. 

The current editor should remain the default, and a user should have to "opt-in" to using the new editor (in some way). It should also be easy to "opt-out", as the new editor may not work correctly or have some of the features a user likes. 

- It should be clear to the user that the new editor is in an Alpha state. 
- We should be clear about the current limitations of the editor so when users provide us feedback it isn't something like: "X is missing", when "X" was never meant to be there yet.  
- It should be easy for a user to report feedback (provide a link to bugzilla or information on the Zanata freenode channel).

Comment 1 Michelle Kim 2015-02-25 06:31:05 UTC
Implemented in 3.6 release.


Note You need to log in before you can comment on or make changes to this bug.